CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

    calibre-debug [options]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre E-book viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script. You can also use calibre-debug as a shebang in scripts, like this: #!/usr/bin/env -S calibre-debug -e -- --

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[CÁC TÙY CHỌN]

--add-simple-plugin
    Thêm một plugin đơn giản (vd như một plugin có một file .py duy nhất) bằng cách trỏ đường dẫn đến file py chứa code cho plugin.

--command, -c
    Run Python code.

--debug-device-driver, -d
    Gỡ lỗi cho quá trình tìm thiết bị

--default-programs
    (Un)register calibre from Windows Default Programs. --default-programs = (register|unregister)

--diff
    Chạy công cụ calibre diff. Ví dụ: calibre-debug --diff file1 file2

--edit-book
    Launch the calibre "Edit book" tool in debug mode.

--exec-file, -e
    Run the Python code in file.

--explode-book, -x
    Explode the book into the specified folder. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export folder and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export folder and libraries. The special keyword "all" can be used to export all libraries. Examples: calibre-debug --export-all-calibre-data # for interactive use calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # export all known libraries

--gui, -g
    Chạy GUI trong khi đang bật sửa lỗi. Đầu ra sửa lỗi được chuyển đến stdout và stderr.

--gui-debug
    Chạy chương trình với debug console và ghi log vào một đường dẫn nhất định. Chỉ dùng cho nội bộ. Dùng cú pháp -g để chạy chương trình trong chế độ sửa lỗi.

--help, -h
    show this help message and exit

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Nhập dữ liệu calibre đã xuất trước đó

--inspect-mobi, -m
    Kiểm tra file MOBI tại các đường dẫn đã định

--kepubify
    Convert the specified EPUB file to KEPUB without doing a full conversion. This is what the Kobo driver does when sending files to the device.

--paths
    Tạo đầu ra các đường dẫn cần để thiết lập calibre

--run-plugin, -r
    Run a plugin that provides a command line interface. For example: calibre-debug -r "Plugin name" -- file1 --option1 Everything after the -- will be passed to the plugin as arguments.

--run-test, -t
    Run the named test(s). Use the special value "all" to run all tests. If the test name starts with a period it is assumed to be a module name. If the test name starts with @ it is assumed to be a category name.

--run-without-debug
    Don't run with the DEBUG flag set

--shutdown-running-calibre, -s
    Khiến bản calibre đang thực thi có thể kết thúc. Lưu ý rằng nếu có tác vụ đang thực thi, chúng sẽ được âm thầm hủy bỏ , do đó, sử dụng cẩn thận.

--subset-font, -f
    Subset font đã định. Bạn có thể dùng -- sau tùynày để một chương trình subset font chữ khác có thể nhận được tùy chọn từ calibre.

--test-build
    Thử nghiệm các module nhị phân

--un-kepubify
    Convert the specified KEPUB file to EPUB without doing a full conversion. This is what the Kobo driver does when importing files from the device.

--version
    show program's version number and exit

--viewer, -w
    Run the E-book viewer in debug mode

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal